### Enumeration

# FwupdPlugin UsbClass

#### Declaration

    enum FwupdPlugin.UsbClass

#### Description

No description available.

#### Members

`FU_USB_CLASS_INTERFACE_DESC`

  No description available.

  - Value: `0`
  - Available since: 1.0
`FU_USB_CLASS_AUDIO`

  No description available.

  - Value: `1`
  - Available since: 1.0
`FU_USB_CLASS_COMMUNICATIONS`

  No description available.

  - Value: `2`
  - Available since: 1.0
`FU_USB_CLASS_HID`

  No description available.

  - Value: `3`
  - Available since: 1.0
`FU_USB_CLASS_PHYSICAL`

  No description available.

  - Value: `5`
  - Available since: 1.0
`FU_USB_CLASS_IMAGE`

  No description available.

  - Value: `6`
  - Available since: 1.0
`FU_USB_CLASS_PRINTER`

  No description available.

  - Value: `7`
  - Available since: 1.0
`FU_USB_CLASS_MASS_STORAGE`

  No description available.

  - Value: `8`
  - Available since: 1.0
`FU_USB_CLASS_HUB`

  No description available.

  - Value: `9`
  - Available since: 1.0
`FU_USB_CLASS_CDC_DATA`

  No description available.

  - Value: `10`
  - Available since: 1.0
`FU_USB_CLASS_SMART_CARD`

  No description available.

  - Value: `11`
  - Available since: 1.0
`FU_USB_CLASS_CONTENT_SECURITY`

  No description available.

  - Value: `13`
  - Available since: 1.0
`FU_USB_CLASS_VIDEO`

  No description available.

  - Value: `14`
  - Available since: 1.0
`FU_USB_CLASS_PERSONAL_HEALTHCARE`

  No description available.

  - Value: `15`
  - Available since: 1.0
`FU_USB_CLASS_AUDIO_VIDEO`

  No description available.

  - Value: `16`
  - Available since: 1.0
`FU_USB_CLASS_BILLBOARD`

  No description available.

  - Value: `17`
  - Available since: 1.0
`FU_USB_CLASS_DIAGNOSTIC`

  No description available.

  - Value: `220`
  - Available since: 1.0
`FU_USB_CLASS_WIRELESS_CONTROLLER`

  No description available.

  - Value: `224`
  - Available since: 1.0
`FU_USB_CLASS_MISCELLANEOUS`

  No description available.

  - Value: `239`
  - Available since: 1.0
`FU_USB_CLASS_APPLICATION_SPECIFIC`

  No description available.

  - Value: `254`
  - Available since: 1.0
`FU_USB_CLASS_VENDOR_SPECIFIC`

  No description available.

  - Value: `255`
  - Available since: 1.0